Skip to main content

Private Payroll Manual - Bookkeeping Entries Query

Bookkeeping is the mandatory process that the Human Resources (HR) department or Personnel Department (PD) of a company performs to register in the government system (via eSocial) the deduction of an active payroll loan installment from an employee's payroll. In essence, bookkeeping is the accounting and fiscal formalization of the deduction. After payment of the formalized amount, the value is directed to Caixa Econômica Federal, which forwards it to the creditor financial institution.

The bookkeeping entry for the payroll deduction for the competence period must be performed by the 15th of each month.

1 - Bookkeeping entries query

GET
/private_payroll_conciliation/registers

Query Parameters

ParameterTypeRequiredDescriptionDefault Value
start_datedateYesMinimum bookkeeping date (YYYY-mm-dd)
end_datedateYesMaximum bookkeeping date (YYYY-mm-dd)
page_numberintegerNoPage number to be returned1
page_rowsintegerNoNumber of records per page100
info

Pagination is one-based, therefore the first page is page 1.

Response

STATUS
200 OK
{
"data": [
{
"register_key": "123e4567-e89b-12d3-a456-426614174000",
"contract_number": "1234567890",
"credit_operation_key": "123e4567-e89b-12d3-a456-426614174000",
"amount": 2405.76,
"reference_month": "2024-07",
"external_reference_month": "2024-06",
"document_number": "29883927061",
"employer_document_number": "12345678",
"registration_number": "11841",
"registered_at": "2025-08-06T03:49:52Z",
"register_type":"regular_pay"
}
],
"pagination": {
"current_page": 1,
"next_page": 2,
"rows_per_page": 100,
}
}
Bookkeeping entry attributes

The attributes 'contract_number', 'employer_document_number' and 'registration_number' do not necessarily match the credit operation data, as they refer to data entered by the employer's HR department. To associate the bookkeeping entry with the credit operation, the "credit_operation_key" key should be used.

Response Body

The paginated response consists of an array of bookkeeping entries (data) and a pagination object (pagination).

List of attributes

Description of the items in the data array:

ParameterTypeDescription
register_keystringBookkeeping entry identifier
contract_numberstringContract number recorded by the employer
amountdecimalTotal bookkeeping entry amount
reference_monthstringDue month to which the bookkeeping entry refers
external_reference_monthstringCompetence month informed by DATAPREV
registered_atstringBookkeeping entry date
document_numberstringCustomer's CPF
employer_document_numberstringEmployer's CNPJ or CPF
registration_numberstringEmployee registration number
credit_operation_keystringCredit operation identifier
register_typestringBookkeeping entry type, see possible enumerators in the Bookkeeping entry types table
credit_operation_keystringCredit operation identifier

Pagination data

Data contained in the pagination object:

ParameterTypeRequiredDescription
current_pageintegerYesCurrent page
next_pageintegerYesNext page
rows_per_pageintegerYesNumber of records per page

Bookkeeping entry types

ENUMERATOR
register_type
EnumeratorDescription
regular_payRegular deduction
severance_paySeverance pay deduction